package com.example.liste_express;

import java.util.ArrayList;

import com.example.menu.R;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.AdapterView.OnItemLongClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

public class ListViewActivity  	extends BaseMenuActivity 
								{
	
	private ArrayList<String> listItemData1=new ArrayList<String>();
	private  ArrayList<Individu> liste;
	private ApplicationDataShare app;
	
	@Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_list_view);
        
        app=ApplicationDataShare.getInstance();
        liste=app.getListeIndividu();
        
        updateList();
        
        //TP STEP1: SET-UP DE LIST VIEW with predefined android.R.layout.simple_list_item_1 layout
        XXXXXXXXXXXXXXXXX
       
        
    }
    
   private void updateList(){
	   for (Individu idv:liste){
		   String texte=idv.getPrenom()+" "+idv.getNom();
		   this.listItemData1.add(texte);
	   }
	   
   }

 // TP STEP2: COMPLETE HERE LIST ITEM CLICK CALLBACK
 


}
